Subject: bug#9557: closed (Re: bug#9557: 24.0.50; "y-or-n-p" does not clear the echo area)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 20 Sep 2011 18:25:03 +0000

Your bug report

#9557: 24.0.50; "y-or-n-p" does not clear the echo area

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9557: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9557
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9557: 24.0.50; "y-or-n-p" does not clear the echo area
From: Juri Linkov <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Tue, 20 Sep 2011 21:16:19 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 9557 notabug wontfix
thanks

> But if no one else thinks that this change is worthwhile, you can
> close this bug report.

I doubt that anyone might want to miss information about the incorrect answer.
IOW, more information is better than less information.

Subject: 24.0.50; "y-or-n-p" does not clear the echo area
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Tue, 20 Sep 2011 11:19:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

In my init file, I have `(fset 'yes-or-no-p 'y-or-n-p)' in order to
speed up the "yes/no" answers.  But I've just seen a minor problem
associated to it.

>From "emacs -Q":
1. Eval: (fset 'yes-or-no-p 'y-or-n-p)
2. Visit some file.
3. M-x revert-buffer <RET> y
--> (Expected) The echo area ends up empty (as happens if you omit step #1).
--> (Observed) The echo area remains with a residual text "Revert
buffer from file <your-file>? (y or n)  y".

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-09-12 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt'

-- 
Dani Moncayo